commit: 97b6d4ca45de1eef9f54ff4a9e981e779162e643
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 23 11:32:12 2018 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Tue Oct 23 12:36:58 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97b6d4ca
dev-python/ipywidgets: version bump.
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.11
dev-python/ipywidgets/Manifest | 1 +
dev-python/ipywidgets/ipywidgets-7.4.2.ebuild | 36 +++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index 5f83d85d2af..b47c09bf7a3 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1 +1,2 @@
DIST ipywidgets-7.0.0.tar.gz 1006851 BLAKE2B
2ee86d0459b6c88b351994dcb4385d31378235a0be157387d90a476e49958bde25df941aa92068266df377c75dac13925d15ba2f8da0987d70adca3e726fa1a7
SHA512
39219478c12f26a2bab0e975b6fb53a7f9ee92b10fa05bd885b21c7c981a4402ad65f497223a4a2c30a7d6d18bb56bec715a20659926075f2e3730e72022ade6
+DIST ipywidgets-7.4.2.tar.gz 4114472 BLAKE2B
45f946da974c1f7c5422248bd5f2eacb92a6791f089d13fb17e025b94058d97210561a6291a6c5b8c7e8e484e7128f5315db2af6cf212762f36e6d884929686f
SHA512
ae5ef0615a9771cd83ca17a2a364bd5d6ee0d934d82adf2c70fde84b7c9b000d7bb32595977a607b5439423e0553c9bb8293617b43d0cf322f6bcf4b3b912eec
diff --git a/dev-python/ipywidgets/ipywidgets-7.4.2.ebuild
b/dev-python/ipywidgets/ipywidgets-7.4.2.ebuild
new file mode 100644
index 00000000000..2aa8dcd33cb
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-7.4.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="https://ipywidgets.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/ipykernel-4.5.1[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/widgetsnbextension-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]'
'python2*')
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --with-coverage --cover-package=ipywidgets ipywidgets || die
+}